package com.syc.slm.slmbi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.syc.slm.slmbi.dto.InstrumentPanelDTO;
import com.syc.slm.slmbi.entity.InstrumentPanel;
import com.syc.slm.slmbi.vo.InstrumentPanelVo;

import java.util.List;

/**
 * slm-bi
 * 仪表板
 *
 * @author : lin
 * @date : 2021-03-25 16:17
 **/
public interface InstrumentPanelService extends IService<InstrumentPanel> {
    IPage<InstrumentPanelVo> selectInstrumentPanelList(InstrumentPanelDTO where);

    Boolean saveInstrumentPanel(InstrumentPanel panel);

    Boolean batchPushInstrumentPanel(List<String> ids, Integer optType);

    Boolean delPushInstrumentPanel(String id);

    Boolean saveAsInstrumentPanel(InstrumentPanelDTO instrumentPanelDTO);

    Boolean showRecoveryBtn(String id);

    Boolean recoveryInstrumentPanel(String id);
}
